<?php
define('_IN_JOHNCMS', 1);

$headmod = 'naperstki';
$textl = 'Наперстки';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

echo "<div class='phdr'>Наперстки</div>";

$rand = mt_rand(100, 999);
$balans_plus = "10";
$balans_minus = "2";

if ($user_id) {

    switch ($act) {

        case "choice":
            if (isset($_SESSION['naperstki'])) {
                unset($_SESSION['naperstki']);
            }

            echo '<div class="gmenu"><a href="?act=go&amp;thimble=1&amp;rand=' . $rand .
                '"><img src="2.gif" alt=""/></a>
				<a href="?act=go&amp;thimble=2&amp;rand=' . $rand .
                '"><img src="2.gif" alt=""/></a>
				<a href="?act=go&amp;thimble=3&amp;rand=' . $rand .
                '"><img src="2.gif" alt=""/></a><br/><br/>
				Выберите наперсток в котором может находится шарик<br/>
			Ваш баланс: ' . $datauser['balans'] . '</div>';

            echo '<div class="menu"><a href="?">Вернуться</a><br />';

            break;
        case "go":
            if ($datauser['balans'] >= $balans_minus) {

                echo '<div class="gmenu">';

                if (intval($_SESSION['naperstki']) < "1") {

                    $_SESSION['naperstki']++;

                    $thimble = intval($_GET['thimble']);

                    $rand_thimble = mt_rand(1, 3);


                    if ($rand_thimble == "1") {
                        echo '<img src="3.gif" alt=""/> ';
                    } else {
                        echo '<img src="2.gif" alt=""/> ';
                    }

                    if ($rand_thimble == "2") {
                        echo '<img src="3.gif" alt=""/> ';
                    } else {
                        echo '<img src="2.gif" alt=""/> ';
                    }

                    if ($rand_thimble == "3") {
                        echo '<img src="3.gif" alt=""/>';
                    } else {
                        echo '<img src="2.gif" alt=""/>';
                    }


                    //------------------------------ Выигрыш ----------------------------//
                    if ($thimble == $rand_thimble) {

                        //------------------------------ Запись в профиль ----------------------------//
                        mysql_query("update `users` set balans=balans+" . $balans_plus . " where id='" .
                            $user_id . "' LIMIT 1;");

                        echo '<h3><span class="green">Вы выиграли!</span></h3>';


                        //------------------------------ Проигрыш ----------------------------//
                    } else {

                        //------------------------------ Запись в профиль ----------------------------//
                        mysql_query("update `users` set balans=balans-" . $balans_minus . " where id='" .
                            $user_id . "'LIMIT 1;");


                        echo '<br/><b>Вы проиграли!</b><br/>';
                    }
                } else {
                    echo '<b>Необходимо выбрать один из наперстков</b><br/>';
                }

                echo '<br />Ваш баланс: ' . $datauser['balans'];

                echo '</div><div class="menu">
				<b><a href="?act=choice&amp;rand=' . $rand . '">К выбору</a></b><br/>
					';

                echo '<a href="?">Вернуться</a><br />';

                /////////////////////////

            } else {
                echo functions::display_error("Вы не можете играть, необходимо повысить баланс!");
                echo "<div class='menu'><a href='../?'>В раздел</a></div>";
                require_once ("../../incfiles/end.php");
                exit;
            }
            break;
        case "faq":
            echo '<div class="gmenu">Для участия в игре нажмите "Играть"<br/>
			За каждый проигрыш у вас будут списывать по ' . $balans_minus . '<br/>
За каждый выигрыш вы получите ' . $balans_plus . '<br/>
Шанс банкира на выигрыш немного больше, чем у вас<br/>
Желаю удачи!</div>';
            echo '<div class="menu"><a href="?">Вернуться</a><br />';

            break;

        default:

            echo '<div class="gmenu"><img src="1.gif" alt=""/><br/>';
            echo 'Ваш баланс: ' . $datauser['balans'] . '<br/>';
            echo '</div><div class="menu"><b><a href="?act=choice&amp;rand=' . $rand .
                '">Играть</a></b><br/>
				<a href="?act=faq&amp;">Помощь</a><br />';

            break;
    }


} else {
    echo functions::display_error("Игра доступна только для зарегистрированых пользователей сайта");
}
echo '<a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");
?>